Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 971580 - FSError: umount failed
FSError: umount failed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:cde8cbc10e532ff985d2db9dc00...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 16:35 EDT by orti1980
Modified: 2014-12-05 11:24 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-05 11:24:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (179.65 KB, text/plain)
2013-06-06 16:35 EDT, orti1980
no flags Details
File: anaconda.log (2.95 KB, text/plain)
2013-06-06 16:35 EDT, orti1980
no flags Details
File: backtrace (2.00 KB, text/plain)
2013-06-06 16:35 EDT, orti1980
no flags Details
File: environ (760 bytes, text/plain)
2013-06-06 16:35 EDT, orti1980
no flags Details
File: ifcfg.log (850 bytes, text/plain)
2013-06-06 16:35 EDT, orti1980
no flags Details
File: lsblk_output (1.62 KB, text/plain)
2013-06-06 16:35 EDT, orti1980
no flags Details
File: nmcli_dev_list (4.36 KB, text/plain)
2013-06-06 16:35 EDT, orti1980
no flags Details
File: packaging.log (412 bytes, text/plain)
2013-06-06 16:35 EDT, orti1980
no flags Details
File: program.log (18.39 KB, text/plain)
2013-06-06 16:35 EDT, orti1980
no flags Details
File: storage.log (24.76 KB, text/plain)
2013-06-06 16:36 EDT, orti1980
no flags Details
File: syslog (131.36 KB, text/plain)
2013-06-06 16:36 EDT, orti1980
no flags Details

  None (edit)
Description orti1980 2013-06-06 16:35:18 EDT
Description of problem:
The following was filed automatically by anaconda:
anaconda 19.30-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/formats/fs.py", line 626, in unmount
    raise FSError("umount failed")
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 4018, in _undo_temp_mount
    fmt.unmount()
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 4164, in listSubVolumes
    self._undo_temp_mount()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1540, in handleBTRFSFormat
    for subvol_dict in btrfs_dev.listSubVolumes():
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1662, in handleUdevDeviceFormat
    self.handleBTRFSFormat(info, device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1077, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1874, in _populate
    self.addUdevDevice(dev)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1818, in populate
    self._populate()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 409, in reset
    self.devicetree.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 140, in storageInitialize
    storage.reset()
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 87, in wait
    self.raise_error(name)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/__init__.py", line 657, in payloadInitialize
    threadMgr.wait(THREAD_STORAGE)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
FSError: umount failed

Version-Release number of selected component:
anaconda-19.30-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/__init__.py", line 657, in payloadInitialize
    threadMgr.wait(THREAD_STORAGE)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 87, in wait
    self.raise_error(name)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 140, in storageInitialize
    storage.reset()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 409, in reset
    self.devicetree.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1818, in populate
    self._populate()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1874, in _populate
    self.addUdevDevice(dev)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1077, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1662, in handleUdevDeviceFormat
    self.handleBTRFSFormat(info, device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1540, in handleBTRFSFormat
    for subvol_dict in btrfs_dev.listSubVolumes():
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 4164, in listSubVolumes
    self._undo_temp_mount()
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 4018, in _undo_temp_mount
    fmt.unmount()
  File "/usr/lib/python2.7/site-packages/blivet/formats/fs.py", line 626, in unmount
    raise FSError("umount failed")
FSError: umount failed
Comment 1 orti1980 2013-06-06 16:35:24 EDT
Created attachment 757906 [details]
File: anaconda-tb
Comment 2 orti1980 2013-06-06 16:35:28 EDT
Created attachment 757907 [details]
File: anaconda.log
Comment 3 orti1980 2013-06-06 16:35:32 EDT
Created attachment 757908 [details]
File: backtrace
Comment 4 orti1980 2013-06-06 16:35:36 EDT
Created attachment 757909 [details]
File: environ
Comment 5 orti1980 2013-06-06 16:35:41 EDT
Created attachment 757910 [details]
File: ifcfg.log
Comment 6 orti1980 2013-06-06 16:35:46 EDT
Created attachment 757911 [details]
File: lsblk_output
Comment 7 orti1980 2013-06-06 16:35:50 EDT
Created attachment 757912 [details]
File: nmcli_dev_list
Comment 8 orti1980 2013-06-06 16:35:54 EDT
Created attachment 757913 [details]
File: packaging.log
Comment 9 orti1980 2013-06-06 16:35:59 EDT
Created attachment 757914 [details]
File: program.log
Comment 10 orti1980 2013-06-06 16:36:04 EDT
Created attachment 757915 [details]
File: storage.log
Comment 11 orti1980 2013-06-06 16:36:09 EDT
Created attachment 757916 [details]
File: syslog
Comment 12 David Shea 2014-12-05 11:18:51 EST
20:31:27,635 CRIT kernel:[   87.359348] kernel BUG at fs/btrfs/volumes.c:4417!

This may have been fixed already, but if not it's a kernel bug.
Comment 13 Josh Boyer 2014-12-05 11:24:45 EST
This bug is a year and a half old, against a release that is going to be EOL'd in 2 months.  There's no way we're going to look at this now and I don't even see what the point of reassigning it was.

Note You need to log in before you can comment on or make changes to this bug.